import "./App.css";
// https://socket.dev/npm/package/react-hook-speech-to-text
import useSpeechToText from "react-hook-speech-to-text";
import micIcon from "./assets/1608550_microphone_icon.png";

function App() {
  const {
    error,
    interimResult,
    isRecording,
    results,
    startSpeechToText,
    stopSpeechToText,
  } = useSpeechToText({
    continuous: true,
    useLegacyResults: false,
  });

  // display: flex;
  // flex-direction: column;
  // align-items: center;

  console.log(interimResult);
  if (error) return <p>Web Speech API is not available in this browser 🤷‍</p>;

  return (
    <>
      <div>
        <h3>Please, tell us what are you looking for?</h3>

        <span>Click and hold to speak!</span>
      </div>
      <div className={`mt-5 flex flex-col items-center`}>
        <div
          onMouseDown={startSpeechToText}
          onMouseUp={stopSpeechToText}
          className={`w-16 border border-solid rounded-full cursor-pointer p-2.5  ${
            isRecording && "speaking"
          }`}
        >
          <img src={micIcon}></img>
        </div>
        {isRecording && <span className="text-sm">Listening...</span>}
        <ul className="mt-5 italic">
          {results.map((result) => (
            <li key={result.timestamp}>{`Looking for: "${result.transcript}"`}</li>
          ))}
          {/* {interimResult && <li>{interimResult}</li>} */}
        </ul>
      </div>
    </>
  );
}

export default App;
